BASENC(1)

NAZWA
basenc - koduje/dekoduje dane i wyświetla je na standardowe wyjście

SKŁADNIA
basenc [OPCJA]... [PLIK]

OPIS

basenc koduje lub dekoduje PLIK lub standardowe wejście na standardowe wyjście.

Jeśli nie podano PLIKU lub jako PLIK podano -, czyta standardowe wejście.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

--base64
    odpowiednik programu „base64” (RFC4648 rozdział 4)

--base64url
    base64 odpowiedni do URL-i i nazw plików (RFC4648 rozdział 5)

--base32
    odpowiednik programu „base32” (RFC6648 rozdział 6)

--base32hex
    base32 z rozszerzonym alfabetem szesnastkowym (RFC4648 rozdział 7)

--base16
    kodowanie szesnastkowe (RFC4648 rozdział 8)

--base2msbf
    łańcuch bitów z kolejnością od najbardziej znaczącego bitu (msb — ang. most significant bit)

--base2lsbf
    łańcuch bitów z kolejnością od najmniej znaczącego bitu (lsb — ang. least significant bit)

-d, --decode
    dekoduje dane

-i, --ignore-garbage
    podczas dekodowania ignoruje znaki spoza alfabetu

-w, --wrap=KOLUMNY
    zawija zakodowane wiersze po KOLUMNACH znaków (domyślnie 76). Proszę użyć 0, aby wyłączyć zawijanie wierszy

--z85
    kodowanie podobne do ascii85 (ZeroMQ spec:32/Z85); przy kodowaniu, długość wejścia musi być wielokrotnością 4; przy dekodowaniu, długość wejścia musi być wielokrotnością 5

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Podczas dekodowania wejście może zawierać oprócz bajtów formalnego alfabetu także znaki nowego wiersza. Proszę użyć --ignore-garbage, aby spróbować odzyskać zakodowany strumień zawierający inne bajty spoza alfabetu.

PRZYKŁADY KODOWANIA

    $ printf '\376\117\202' | basenc --base64
    /k+C

    $ printf '\376\117\202' | basenc --base64url
    _k-C

    $ printf '\376\117\202' | basenc --base32
    7ZHYE===

    $ printf '\376\117\202' | basenc --base32hex
    VP7O4===

    $ printf '\376\117\202' | basenc --base16
    FE4F82

    $ printf '\376\117\202' | basenc --base2lsbf
    011111111111001001000001

    $ printf '\376\117\202' | basenc --base2msbf
    111111100100111110000010

    $ printf '\376\117\202\000' | basenc --z85
    @.FaC

AUTOR
Napisane przez Simona Josefssona i Assafę Gordona.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <https://www.gnu.org/software/coreutils/>
O błędach tłumaczenia programu prosimy poinformować przez <https://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2024 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <https://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja: <https://www.gnu.org/software/coreutils/basenc>
lub lokalnie, za pomocą info '(coreutils) basenc invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.